< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package http
  Definition Classes
    hmrc
-  package controllers
  Definition Classes
    http
-  package hooks
  Definition Classes
    http
-  package logging
  Definition Classes
    http
- BadGatewayException
- BadRequestException
- ConflictException
- CookieNames
- CoreDelete
- CoreGet
- CorePatch
- CorePost
- CorePut
- DeleteHttpTransport
- ExpectationFailedException
- FailedDependencyException
- ForbiddenException
- GatewayTimeoutException
- GetHttpTransport
- GoneException
- HeaderCarrier
- HeaderNames
- HeaderProvider
- HttpClient
- HttpDelete
- HttpErrorFunctions
- HttpException
- HttpGet
- HttpPatch
- HttpPost
- HttpPut
- HttpReads
- HttpReadsEither
- HttpReadsHttpResponse
- HttpReadsInstances
- HttpReadsJson
- HttpReadsLegacyInstances
- HttpReadsLegacyJson
- HttpReadsLegacyOption
- HttpReadsLegacyRawReads
- HttpReadsOption
- HttpReadsTry
- HttpResponse
- HttpTransport
- HttpVerb
- HttpVerbs
- HttpVersionNotSupportedException
- InsufficientStorageException
- InternalServerException
- JsValidationException
- LengthRequiredException
- LockedException
- LowPriorityHttpReadsJson
- MethodNotAllowedException
- NotAcceptableException
- NotFoundException
- NotImplementedException
- PatchHttpTransport
- PaymentRequiredException
- PostHttpTransport
- PreconditionFailedException
- ProxyAuthenticationRequiredException
- PutHttpTransport
- Request
- RequestEntityTooLargeException
- RequestRangeNotSatisfiableException
- RequestTimeoutException
- RequestUriTooLongException
- Retries
- ServiceUnavailableException
- SessionKeys
- Token
- TooManyRequestException
- UnauthorizedException
- UnprocessableEntityException
- UnsupportedMediaTypeException
- Upstream4xxResponse
- Upstream5xxResponse
- UpstreamErrorResponse
- UrlValidationException
- UserId

c

uk.gov.hmrc.http

# HeaderCarrier 

###

#### case class HeaderCarrier(authorization: Option[Authorization] = None, userId: Option[UserId] = None, token: Option[Token] = None, forwarded: Option[ForwardedFor] = None, sessionId: Option[SessionId] = None, requestId: Option[RequestId] = None, requestChain: RequestChain = RequestChain.init, nsStamp: Long = System.nanoTime(), extraHeaders: Seq[(String, String)] = Seq(), trueClientIp: Option[String] = None, trueClientPort: Option[String] = None, gaToken: Option[String] = None, gaUserId: Option[String] = None, deviceID: Option[String] = None, akamaiReputation: Option[AkamaiReputation] = None, otherHeaders: Seq[(String, String)] = Seq()) extends LoggingDetails with HeaderProvider with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, HeaderProvider, LoggingDetails, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HeaderCarrier
2. Serializable
3. Serializable
4. Product
5. Equals
6. HeaderProvider
7. LoggingDetails
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new HeaderCarrier(authorization: Option[Authorization] = None, userId: Option[UserId] = None, token: Option[Token] = None, forwarded: Option[ForwardedFor] = None, sessionId: Option[SessionId] = None, requestId: Option[RequestId] = None, requestChain: RequestChain = RequestChain.init, nsStamp: Long = System.nanoTime(), extraHeaders: Seq[(String, String)] = Seq(), trueClientIp: Option[String] = None, trueClientPort: Option[String] = None, gaToken: Option[String] = None, gaUserId: Option[String] = None, deviceID: Option[String] = None, akamaiReputation: Option[AkamaiReputation] = None, otherHeaders: Seq[(String, String)] = Seq())

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def age: Long

   returns

     the time, in nanoseconds, since this header carrier was created

   Definition Classes
     HeaderCarrier → LoggingDetails
5.  val akamaiReputation: Option[AkamaiReputation]
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val authorization: Option[Authorization]
   Definition Classes
     HeaderCarrier → LoggingDetails
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
9.  lazy val data: Map[String, Option[String]]
   Definition Classes
     LoggingDetails
10.  val deviceID: Option[String]
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  val extraHeaders: Seq[(String, String)]
13.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  val forwarded: Option[ForwardedFor]
    Definition Classes
      HeaderCarrier → LoggingDetails
15.  val gaToken: Option[String]
16.  val gaUserId: Option[String]
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  lazy val headers: Seq[(String, String)]
    Definition Classes
      HeaderCarrier → HeaderProvider
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  def mdcData: Map[String, String]
    Definition Classes
      LoggingDetails
21.  val names: HeaderNames.type
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  val nsStamp: Long
26.  val otherHeaders: Seq[(String, String)]
27.  val requestChain: RequestChain
    Definition Classes
      HeaderCarrier → LoggingDetails
28.  val requestId: Option[RequestId]
    Definition Classes
      HeaderCarrier → LoggingDetails
29.  val sessionId: Option[SessionId]
    Definition Classes
      HeaderCarrier → LoggingDetails
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  val token: Option[Token]
32.  val trueClientIp: Option[String]
33.  val trueClientPort: Option[String]
34.  val userId: Option[UserId]
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
38.  def withExtraHeaders(headers: (String, String)*): HeaderCarrier

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from HeaderProvider

### Inherited from LoggingDetails

### Inherited from AnyRef

### Inherited from Any

### Ungrouped